E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::VerifierFactoryBase::Spec Struct Reference

Verifier specification tuple for GSmtp::VerifierFactoryBase::newVerifier(). More...

`#include <gverifierfactorybase.h>`

Collaboration diagram for GSmtp::VerifierFactoryBase::Spec:
[legend]

## Public Member Functions
| Spec (std::string_view, std::string_view)

## Public Attributes
std::string | first
std::string | second

## Detailed Description

Verifier specification tuple for GSmtp::VerifierFactoryBase::newVerifier().

Definition at line 43 of file gverifierfactorybase.h.

## Constructor & Destructor Documentation

## ◆ Spec()

GSmtp::VerifierFactoryBase::Spec::Spec | ( | std::string_view | first_in,
|  | std::string_view | second_in
| ) |  |

Definition at line 27 of file gverifierfactorybase.cpp.

## Member Data Documentation

## ◆ first

std::string GSmtp::VerifierFactoryBase::Spec::first

Definition at line 47 of file gverifierfactorybase.h.

## ◆ second

std::string GSmtp::VerifierFactoryBase::Spec::second

Definition at line 48 of file gverifierfactorybase.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gverifierfactorybase.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gverifierfactorybase.cpp